=== debian/changelog ===
pure-g2 (0.2-4) natty; urgency=low

  * Fix dependency on libgd2-xpm-dev

 -- Albert Graef <Dr.Graef@t-online.de>  Sun, 10 Jun 2012 00:31:25 +0200

pure-g2 (0.2-3) natty; urgency=low

  * Missing dependency on libpure8

 -- Albert Graef <Dr.Graef@t-online.de>  Fri, 01 Jun 2012 23:24:28 +0200

pure-g2 (0.2-2) natty; urgency=low

  * Prevent zipping of examples

 -- Albert Graef <Dr.Graef@t-online.de>  Sat, 26 May 2012 23:42:49 +0200

pure-g2 (0.2-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 23 May 2012 06:02:02 +0200
