=== debian/control ===
Source: pure-g2
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-g2
Architecture: all
Depends: ${misc:Depends}, libg2-dev, libgd2-xpm-dev | libgd2-noxpm-dev, libpure8
Description: 2D graphics interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This package provides a simple, no-frills 2D graphics module
 for Pure which uses the g2 graphics library, see http://g2.sf.net/.
